
package com.madhu.xml;

import java.io.*;
import org.xml.sax.*;
import org.xml.sax.helpers.*;
import javax.xml.parsers.*;

public class SAXDemo extends DefaultHandler {
	public void startDocument() {
		System.out.println("***Start of Document***");
	}

	public void endDocument() {
		System.out.println("***End of Document***");
	}

	public void startElement(String uri, String localName,
		String qName, Attributes attributes) {

		System.out.print("<" + qName);
		int n = attributes.getLength();
		for (int i=0; i<n; i+=1) {
			System.out.print(" " + attributes.getQName(i) +
				"='" + attributes.getValue(i) + "'");
		}
		System.out.println(">");
	}

	public void characters(char[] ch, int start, int length) {
		System.out.println(new String(ch, start, length).trim());
	}

	public void endElement(String namespaceURI, String localName,
		String qName) throws SAXException {

		System.out.println("</" + qName + ">");
	}

	public static void main(String args[]) throws Exception {
		if (args.length != 1) {
			System.err.println("Usage: java SAXDemo <xml-file>");
			System.exit(1);
		}

		SAXDemo handler = new SAXDemo();

		SAXParserFactory factory = SAXParserFactory.newInstance();

		SAXParser parser = factory.newSAXParser();
		parser.parse(new File(args[0]), handler);
	}
}
